function [cenalinky] = CenaLinky (delka, BW, jednotkaBW, cenaza1m, cenaza1b)

%M=file urcen pro vypocet ceny linky, jenz se sklada z ceny za metr spoje a
%kapacity vztahujici se na tuto delku.
%Vstupni parametry:
%delka - delka spoje, zadavejte v metrech
%BW - kapacita spoje, zadavejte v Bps, Mbps, Gbps
%jednotkaBW - pouzita jedntoka kakacity, zadavejte Bps, Mbps, Gbps
%cenaza1m, cenaza1b - zadejte jednotkovou cenu delky a kapacity
%[cenalinky] = CenaLinky (delka, BW, jednotkaBW, cenaza1m, cenaza1b)

disp('******************PARAMETRY CENY LINKY*************************')

if nargin ~= 5
    error('Spatny pocet vstupu')
end

delkaDelka = length(delka);
delkaBW = length(BW');

if delkaDelka ~= delkaBW 
    error('Pocet prvku vektoru pocatek, konec, delka a BW musi byt stejny')
end

if cenaza1m <= 0
    error('Hodnota cenaza1m musi byt kladna a > 0')
    
elseif cenaza1b <= 0
    error('Hodnota cenaza1b musi byt kladna a > 0')
end

cenadelky = delka.* cenaza1m; %cena za delku spoje

switch jednotkaBW
    case 'Bps'
    cenakapacity = BW.* cenaza1b; %cena za kapacitu spoje 
            
    case 'Mbps'
    cenakapacity = (BW.* cenaza1b).*1*10^6;
        
    case 'Gbps'
    cenakapacity = (BW.* cenaza1b)*1*10^9;
    
    otherwise
        disp('zadej spravnou jednotku BW> Bps, Mbps, Gbps')
        
end

cenalinky=cenadelky + cenakapacity;
sumazalinky = sum(cenalinky);
disp(sprintf('Celkova cena linek je: %9.9f\n',sumazalinky));
end